Bug 42624

Summary: svg/dom/path-parser.html fails in the 32 debug bot
Product: WebKit Reporter: Alejandro G. Castro <alex>
Component: WebKitGTKAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: bugs-noreply, krit, zimmermann
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: Linux   
Bug Depends on:    
Bug Blocks: 62204    

Description Alejandro G. Castro 2010-07-20 03:09:22 PDT
Apparently the test has accuracy problems:

http://build.webkit.org/results/GTK%20Linux%2032-bit%20Debug/r63735%20(8213)/svg/dom/path-parser-diffs.txt

...
-PASS parsePath('M100,200 A3,4,5,1,0,6,7') is 'M100,200 C141.5,162.8,154.2,89.4,128.2,36.1 C102.2,-17.2,47.5,-30.2,6,7'
-PASS parsePath('M100,200 A3,4,5,0,1,6,7') is 'M100,200 C58.5,237.2,3.8,224.1,-22.2,170.8 C-48.1,117.5,-35.5,44.2,6,7'
-PASS parsePath('M100,200 A3,4,5,1,1,6,7') is 'M100,200 C58.5,237.2,3.8,224.2,-22.2,170.9 C-48.2,117.6,-35.5,44.2,6,7'
+FAIL parsePath('M100,200 A3,4,5,0,0,6,7') should be M100,200 C141.5,162.8,154.1,89.5,128.2,36.2 C102.2,-17.1,47.5,-30.2,6,7. Was M100,200 C141.5,162.8,154.1,89.4,128.2,36.2 C102.2,-17.1,47.5,-30.2,6,7.
+FAIL parsePath('M100,200 A3,4,5,1,0,6,7') should be M100,200 C141.5,162.8,154.2,89.4,128.2,36.1 C102.2,-17.2,47.5,-30.2,6,7. Was M100,200 C141.5,162.8,154.1,89.4,128.2,36.2 C102.2,-17.1,47.5,-30.2,6,7.
+FAIL parsePath('M100,200 A3,4,5,0,1,6,7') should be M100,200 C58.5,237.2,3.8,224.1,-22.2,170.8 C-48.1,117.5,-35.5,44.2,6,7. Was M100,200 C58.5,237.2,3.8,224.1,-22.2,170.8 C-48.1,117.6,-35.5,44.2,6,7.
+FAIL parsePath('M100,200 A3,4,5,1,1,6,7') should be M100,200 C58.5,237.2,3.8,224.2,-22.2,170.9 C-48.2,117.6,-35.5,44.2,6,7. Was M100,200 C58.5,237.2,3.8,224.1,-22.2,170.8 C-48.1,117.6,-35.5,44.2,6,7.
 PASS parsePath('M100,200 a3,4,5,0,0,6,7') is 'M100,200 C98.5,202.3,98.6,205.7,100.2,207.7 C101.9,209.6,104.5,209.3,106,207'
...

But the other bots (32 release and 64 debug) do not have this issue so we can not simply upload a new baseline. Maybe we have to change the test?
Comment 1 Nikolas Zimmermann 2011-11-29 02:05:42 PST
This is potentially fixed by r101342, we need to unskip it and try.
Comment 2 Alejandro G. Castro 2018-03-14 09:13:20 PDT
Apparently this was unskipped long time ago.